%define prefix /usr
%define name lxisomount
%define version 0.5
%define release %mkrel 1
%define url http://kellerleiche.bplaced.net

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/LXDE
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	Simple mount application for Iso's under lxde
Summary(de):	Einfache Mount Anwendung für Iso's unter LXDE
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	zenity
Obsoletes:	%name < %version

%description
lxisomount is a simple mount application for the LXDE Desktop 
Environment, based on zenity.


#german
%description -l de
lxisomount ist eine einfache Mount Anwendung für die LXDE 
Desktop Umgebung, basierend auf zenity.


%prep

%setup -q -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 lxisomount lxisomount.sh $RPM_BUILD_ROOT%{_bindir}

install -d -m 0755 %buildroot%_datadir/icons
install -m 0644 $RPM_BUILD_DIR/%{name}-%{version}/%{name}.png %buildroot%_datadir/icons/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.sh.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=lxisomount
Name[de]=LXIsoMount
Comment=CD/DVD Image Mounting application
Comment[de]=Anwendung für CD/DVD-Iso Einbindung  
Exec=%{name}.sh
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-System-Archiving-Other;
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=lxisomount
Name[de]=LXIsoMount
Comment=CD/DVD Image Mounting application
Comment[de]=Anwendung für CD/DVD-Iso Einbindung  
Exec=%{name}
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-System-Archiving-Other;
NoDisplay=true
EOF

# i18n - Internationalization - Internationalisierung
mkdir -p %{buildroot}%{_datadir}/locale/{de,sr,es}/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/%{name}.mo $RPM_BUILD_DIR/%{name}-%{version}/languages/%{name}-de.po

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/icons/%{name}.png
%{_datadir}/applications/*.desktop
%{_datadir}/locale/*
%doc COPYING Readme.txt 
%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Fri Jul 23 2010 leiche <meisssw01 at aol.com> 0.5-1pclos2010
- add right click menu application
- add name, and version in gui

* Sun Jul 04 2010 leiche <meisssw01 at aol.com> 0.4-1pclos2010
- Add warning on close of the application, which is mounted an iso

* Fri Jul 02 2010 leiche <meisssw01 at aol.com> 0.3-1pclos2010
- installation routine for no default applications added 

* Thu Jul 01 2010 leiche <meisssw01 at aol.com> 0.2-1pclos2010
- added brasero 
- added iso master
- added thunar
 
* Tue Jun 29 2010 leiche <meisssw01 at aol.com> 0.1-1pclos2010
- created for PCLinuxOS-lxde
